> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: bc2b8983-183a-4690-8b4d-6f4805a1f112
---

# Delete an existing pipeline

> Delete an existing pipeline.



## OpenAPI

````yaml specs/legacy/v1/crm-pipelines-v1.json DELETE /crm-pipelines/v1/pipelines/{object_type}/{pipeline_id}
openapi: 3.0.0
info:
  title: CRM Pipelines API v1
  version: 1.0.0
  description: Legacy CRM Pipelines API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-pipelines/v1/pipelines/{object_type}/{pipeline_id}:
    delete:
      summary: Delete an existing pipeline
      description: Delete an existing pipeline.
      operationId: deletecrmpipelinesv1pipelinesobjecttypepipelineid
      parameters:
        - name: object_type
          in: path
          required: true
          description: >-
            The object type of the pipeline that you want to delete. Must be one
            of: deals, tickets
          schema:
            type: string
            enum:
              - deals
              - tickets
        - name: pipeline_id
          in: path
          required: true
          description: The ID of the pipeline you want to delete.
          schema:
            type: string
      responses:
        '204':
          description: Successfully deleted pipeline
        '404':
          description: Pipeline not found
      security:
        - oauth2:
            - crm.objects.deals.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.deals.write
        - private_apps_legacy: []
components: {}

````